Package org.eclipse.mat.query.registry

# Class CommandLine

java.lang.Object
org.eclipse.mat.query.registry.CommandLine

public class CommandLine extends Object

## Constructor Summary

Constructors
Constructor
Description
`CommandLine()`

## Method Summary

Modifier and Type
Method
Description
`static IResult`
`execute(IQueryContext context, String commandLine, IProgressListener listener)`
`static void`
`fillIn(ArgumentSet arguments, String line)`
`static ArgumentSet`
`parse(IQueryContext context, String line)`
`static String[]`
`tokenize(String line)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandLine

public CommandLine()

## Method Details

### tokenize

public static String[] tokenize(String line)

### execute

public static IResult execute(IQueryContext context, String commandLine, IProgressListener listener) throws SnapshotException

Throws:
  `SnapshotException`

### parse

public static ArgumentSet parse(IQueryContext context, String line) throws SnapshotException

Throws:
  `SnapshotException`

### fillIn

public static void fillIn(ArgumentSet arguments, String line) throws SnapshotException

Throws:
  `SnapshotException`